%define fw_version 5.24

Summary:	KDE Frameworks 5 application assets downloading support module
Name:		knewstuff
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5attica-devel >= %{version}
BuildRequires:	kf5archive-devel >= %{version}
BuildRequires:	kf5completion-devel >= %{version}
BuildRequires:	kf5config-devel >= %{version}
BuildRequires:	kf5coreaddons-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	kf5iconthemes-devel >= %{version}
BuildRequires:	kf5itemviews-devel >= %{version}
BuildRequires:	kf5kio-devel >= %{version}
BuildRequires:	kf5textwidgets-devel >= %{version}
BuildRequires:	kf5widgetsaddons-devel >= %{version}
BuildRequires:	kf5xmlgui-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE Frameworks 5 application assets downloading support module.

The KNewStuff library implements collaborative data sharing for applications.
It uses libattica to support the Open Collaboration Services specification.

%files
%{_kde5_datadir}/kf5/knewstuff/pics/thumb_frame.png
%dir %{_kde5_datadir}/kf5/kmoretools/presets-kmoretools/
%{_kde5_datadir}/kf5/kmoretools/presets-kmoretools/*
%dir %{_kde5_datadir}/kf5/kmoretools/unittest-kmoretools/
%{_kde5_datadir}/kf5/kmoretools/unittest-kmoretools/*

#----------------------------------------------------------------------------

%package i18n
Summary:	KNewStuff translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KNewStuff translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5newstuff_major 5
%define libkf5newstuff %mklibname kf5newstuff %{kf5newstuff_major}

%package -n %{libkf5newstuff}
Summary:	KDE Frameworks 5 KNewStuff application assets downloading support library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5newstuff}
KDE Frameworks 5 application assets downloading support shared library.

%files -n %{libkf5newstuff}
%{_kde5_libdir}/libKF5NewStuff.so.%{kf5newstuff_major}*

#----------------------------------------------------------------------------

%define devkf5newstuff %mklibname kf5newstuff -d

%package -n %{devkf5newstuff}
Summary:	Development files for KDE Frameworks assets downloading support module
Group:		Development/KDE and Qt
Requires:	%{libkf5newstuff} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5newstuff-devel = %{version}

%description -n %{devkf5newstuff}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5newstuff}
%{_kde5_includedir}/KF5/KNewStuff3
%{_kde5_includedir}/KF5/knewstuff_version.h
%{_kde5_libdir}/cmake/KF5NewStuff
%{_kde5_libdir}/libKF5NewStuff.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (e13a3d8) New version 5.24.0


